use wasm_bindgen::prelude::*;
use lox::OPENINV_LENGTH;
use lox::proto::*;
use serde_json;

#[wasm_bindgen]
extern {
    #[wasm_bindgen(js_namespace = console)]
    pub fn log(s: &str);
}

#[wasm_bindgen]
pub fn open_invite(invite: &[u8]) {

    let (request, _state) = open_invite::request(&validate_invite(invite));
    let serialized_request = serde_json::to_string(&request).unwrap();
    log(&format!("request: {}", serialized_request));
}


fn validate_invite(invite: &[u8]) -> [u8; OPENINV_LENGTH] {
    invite.try_into().expect("slice with incorrect length")
}
